               job  Loader -- Load Fortran onto tape
               ctl  6611
     *
     * Put this deck ahead of the Fortran deck to load it onto tape.
     * Each overlay must have its load address in columns 1-3 of the
     * last card before its EX, XFR or END card.  This can be done by
     *
     *105   dsa   myorg        Specify overlay's load address
     *                         (The address can be anything.  If
     *                         it's in 1-80, ignore the ADDR error.)
     *  or
     *      org   *&2
     *      dsa   myorg        Specify overlay's load address
     *
     * The purpose of putting an address in 6-11 or an ORG before
     * the DSA card is to force Autocoder to start a new load card.
     *
     * The first phase figures out its own entry address.  The rest
     * are specified in their LDNXT macros.
     *
     cards     equ  711          1 = running from cards, N = tape
     *
               org  3671
     gmwm      dcw  @}@
     start     blc  quit
               bce  skip,how,B   Only two to skip if EX/XFR
               r                 Skip the clear storage and bootstrap
               bce  lib,1,]      Copy library if 11-5-8
     skip      r
               bce  lib,1,]      Copy library if 11-5-8
               r
     *
     * Clear below me to make sure there are no GMWM's
     *
               sw   empty,1
               sbr  clear&3,gmwm-1
     clear     cs   0-0
               sbr  clear&3
               bw   clear,1
     *
     * Prepare to read the deck
     *
               sw   1
               sw   40,47
               sw   54,61
               sw   68,72
     *
     * Read the deck into its normal place.  Assume it won't clobber me.
     * Assume it has GMWM at the end.
     *
               r
     test      mcw  68,how
               bce  done,40,/    END card?
               cw   empty
               bce  ex,68,B      EX card?
               mcw  3,tapew&6    Tape write address
     load      sbr  71,test      Set up to return here
               b    40
     ex        mcw  71,entry     Save entry point
               sbr  71,done2     Set up to return here
               b    40           In case there's load stuff on EX card
     done      nop
     empty     b    start        EX followed by END if WM here
               mcw  43,entry
     done2     cw   entry-2
               mcw  nop,cards    Indicate compiler running from tape
               lca  load1,18
               chain3
               b    wtape
               cs   start,80     Go do another overlay
     how       dcw  #1           How did the card exit?
     *
     * Write the deck onto tape
     *
     wtape     sbr  wtapex&3
     retry     mcw  km9,ecount   Start error count at -9
     tapew     wtw  1,1          Write tape
               ber  wtaper
     wtapex    b    0-0
     wtaper    bsp  1
               a    *-6,ecount
               bm   tapew,ecount   Error count still negative?
               skp  1            Set skip switch
     nop       nop  2222         Set A and B address registers
               h
               b    retry        Go retry
     ecount    dcw  #1
     km9       dcw  -9
     noskip    dc   #1           Word mark if no need to skip clear/boot
     *
     * Library deck starts with five right brackets (11-5-8) in 1-5
     * and ends with five semicolons (11-6-8) in 1-5.
     *
     lib       lca  gmwm,81
               sbr  tapew&6,1    Write from the card area
     wlib      b    wtape        Write the library card
               bce  start,1,;    (11-6-8) Done?
               r    wlib
     *
     * All done
     *
     quit      wtm  1
               rwd  1
     halt      nop  1111         Set A and B address registers
               h
               b    halt
     *
     * Code to get to first phase entry
     *
               ber  13
               cs                becomes cs   [entry],80
     entry     dsa  0-0
               dc   080
     rtaper    h
               bin  13,
     load1     equ  *
     *
               end  start
